* [RFC] Add low-mem-vs-regular.sh test-case
@ 2019-01-01 0:00 Tom de Vries
0 siblings, 0 replies; only message in thread
From: Tom de Vries @ 2019-01-01 0:00 UTC (permalink / raw)
To: dwz, jakub
Hi,
is the assumption on which this test-case is based correct?
That is: is the output of regular mode and low-mem mode expected to be
identical for all inputs?
Thanks,
- Tom
Add low-mem-vs-regular.sh test-case
2019-03-04 Tom de Vries <tdevries@suse.de>
* testsuite/dwz.tests/low-mem-vs-regular.sh: New test.
---
testsuite/dwz.tests/low-mem-vs-regular.sh | 20 ++++++++++++++++++++
1 file changed, 20 insertions(+)
diff --git a/testsuite/dwz.tests/low-mem-vs-regular.sh b/testsuite/dwz.tests/low-mem-vs-regular.sh
new file mode 100755
index 0000000..cbf9479
--- /dev/null
+++ b/testsuite/dwz.tests/low-mem-vs-regular.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+cp ../hello 1
+
+dwz -l0 1 -o 2
+dwz 1 -o 3
+cmp 2 3
+
+smaller-than.sh 2 1
+smaller-than.sh 3 1
+
+cmp 2 3
+
+ls=$(ls)
+ls=$(echo $ls)
+[ "$ls" = "1 2 3" ]
+
+rm -f 1 2 3
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2019-03-04 7:26 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-01 0:00 [RFC] Add low-mem-vs-regular.sh test-case Tom de Vries
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).